API ReferenceUnified modelsUnified contract

Get unified contract by ID

GET
/unified/contract/{unifiedContractId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

unifiedContractId*string

Response Body

application/json

curl -X GET "https://dev-backend.thelinks.ai/api/v1/unified/contract/string"
{
  "data": {
    "id": "contract_12345",
    "source_system": "salesforce",
    "source_system_img_url": "https://cdn.example.com/salesforce.png",
    "source_id": "sf_98765",
    "external_system_provider_id": "provider_001",
    "external_system_config_id": "config_abc",
    "external_system_data": {
      "custom_field": "value"
    },
    "supporting_data_definition_id": "support_001",
    "contract_number": "CN-2024-001",
    "contract_status": "active",
    "contract_term_months": 12,
    "actived_date": "2024-01-01",
    "start_date": "2024-01-01",
    "end_date": "2024-12-31",
    "signed_date_by_company": "2023-12-15",
    "signed_date_by_customer": "2023-12-16",
    "billing_address_line": "123 Main St",
    "billing_address_city": "Los Santos",
    "billing_address_state": "California",
    "billing_address_postal_code": "90001",
    "billing_address_country": "USA",
    "is_primary": true,
    "unified_customer_id": "cust_12345",
    "source_system_account_id": "acc_67890",
    "local_was_deleted": false,
    "local_was_updated": true,
    "source_data_created_at": "2024-01-01T12:00:00Z",
    "is_active": true
  }
}
Empty